import "dotenv/config";
import express from "express";
import "express-async-errors";
import bodyParser from "body-parser";

import routes from "./src/http/routes";
import { server } from "./src/http/server";
import apiErrorHandler from "./src/middleware/errors";
import { whatsappUtils } from "./src/helpers/whatsapp";

const app = express();
app.use(bodyParser.json({}));
app.use(apiErrorHandler);

// Rotas
routes(app);

// Iniciar WhatsApp
whatsappUtils();

// Inicia o servidor
server(app);
