import { Request, Response } from "express";
import { WhatsappService } from "../services";

const WhatsappController = {
  sendText: async (req: Request, res: Response) => {
    const { recipient, message } = req.body;
    await WhatsappService.sendText({ recipient, message });
    res.send();
  },
  sendImage: async (req: Request, res: Response) => {
    const { recipient, message, image } = req.body;
    await WhatsappService.sendImage({ recipient, message, image });
    res.send();
  },
  login: async (req: Request, res: Response) => {
    const login = await WhatsappService.login();
    res.send(login);
  },
};
export default WhatsappController;
