import qrcode from "qrcode-terminal";
import { Client, LocalAuth } from "whatsapp-web.js";

import { conversation } from "../constant/bot";

// Variaveis globais
global.WhatsappUtils;
global.WhatsappQrCode;
global.WhatsappStatus;

const whatsappUtils = () => {
  const client = new Client({
    authStrategy: new LocalAuth({ clientId: "default-session" }),
    puppeteer: {
      args: ["--no-sandbox"],
    },
  });

  client.on("qr", (qr) => {
    qrcode.generate(qr, { small: true });
  });

  client.on("ready", async () => {
    console.log("Whatsapp Done!");
    global.WhatsappUtils = client;
    // await sendSms({
    //   message: `[SERVIDOR - WHATSAPP]\n Conexao reestabelecida`,
    // });
  });

  client.on("disconnected", async () => {
    console.log("whatsapp disconnected");
    // await sendSms({
    //   message: `[SERVIDOR - WHATSAPP]\n A API do Whatsapp se desconectou`,
    // });
  });

  client.on("auth_failure", async () => {
    console.log("whatsapp disconnected");
    // await sendSms({
    //   message: `[SERVIDOR - WHATSAPP]\n A API do teve a falha na autenticacao`,
    // });
  });

  client.on("message", async (message) => {
    let chat = await message.getChat();
    conversation({
      body: message.body,
      fromNumber: message.from,
      chat,
    });
  });

  client.initialize();
};

export { whatsappUtils };
