import { Application } from "express";
import { WhatsappController } from "../../controller/";
import { WhatsappParse } from "../../middleware/parse";
import { WhatsappValidator } from "../../middleware/validator";

export default function WhatsappRoutes(app: Application) {
  app.post(
    "/whatsapp/send/text",
    WhatsappValidator.sendText,
    WhatsappValidator.requestRecipient,
    WhatsappParse.recipient,
    WhatsappController.sendText
  );
  app.post(
    "/whatsapp/send/image",
    WhatsappValidator.sendImage,
    WhatsappValidator.requestRecipient,
    WhatsappParse.recipient,
    WhatsappController.sendImage
  );

  app.get("/whatsapp/login", WhatsappController.login);
}
