import { MessageMedia } from "whatsapp-web.js";
import { images } from "../constant/image";

interface iSendText {
  recipient: string;
  message: string;
}

interface iSendImage {
  recipient: string;
  message?: string;
  image: {
    name: string;
    alt: string;
  };
}

const WhatsappService = {
  login: async () => {
    return global.WhatsappQrCode;
  },
  sendText: async ({ recipient, message }: iSendText) => {
    await global.WhatsappUtils.sendMessage(recipient, message);
  },
  sendImage: async ({ recipient, message, image }: iSendImage) => {
    const midia = MessageMedia.fromFilePath(images[image.name]);
    await global.WhatsappUtils.sendMessage(recipient, midia, {
      caption: message,
    });
  },
};

export default WhatsappService;
